*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

body{
  font-family:'Poppins', sans-serif;
  background:#f5f5f5;
  color:#222;
  line-height:1.6;
}

html{
  scroll-behavior:smooth;
}

a{
  text-decoration:none;
  color:inherit;
}

/* NAVBAR */

nav{
  width:100%;
  background:white;
  position:fixed;
  top:0;
  left:0;
  z-index:1000;
  box-shadow:0 2px 10px rgba(0,0,0,0.08);
}

.nav-container{
  max-width:1200px;
  margin:auto;
  padding:15px 30px;
  display:flex;
  align-items:center;
  justify-content:space-between;
}

.logo{
  display:flex;
  align-items:center;
  gap:12px;
}

.logo img{
  width:55px;
}

.logo h1{
  font-size:1.3rem;
  color:#58c000;
}

.menu{
  display:flex;
  gap:25px;
  font-weight:500;
}

.menu a:hover{
  color:#58c000;
}

/* HERO */

.hero{
  height:100vh;
  background:
  linear-gradient(rgba(0,0,0,0.55), rgba(0,0,0,0.55)),
  url('../images/hero-planta.png');
  background-size:cover;
  background-position:center;
  display:flex;
  align-items:center;
  justify-content:center;
  text-align:center;
  color:white;
  padding:20px;
}

.hero-content{
  max-width:900px;
}

.hero h2{
  font-size:4rem;
  margin-bottom:20px;
}

.hero p{
  font-size:1.3rem;
  margin-bottom:35px;
}

.btn{
  display:inline-block;
  background:#58c000;
  color:white;
  padding:15px 35px;
  border-radius:50px;
  font-weight:600;
  transition:0.3s;
}

.btn:hover{
  background:#469a00;
  transform:translateY(-2px);
}

.btn2{
  display:inline-block;
  background:#58c000;
  color:white;
  padding:5px 10px;
  border-radius:2px;
  font-weight:300;
  transition:0.3s;
}

.btn2:hover{
  background:#469a00;
  transform:translateY(-2px);
}

/* SECTIONS */

section{
  padding:100px 20px;
}

.container{
  max-width:1200px;
  margin:auto;
}

.section-title{
  text-align:center;
  margin-bottom:60px;
}

.section-title h3{
  font-size:2.5rem;
  color:#58c000;
  margin-bottom:15px;
}

.section-title p{
  color:#666;
  max-width:700px;
  margin:auto;
}

/* ABOUT */

.about-grid{
  display:grid;
  grid-template-columns:1fr 1fr;
  gap:50px;
  align-items:center;
}

.about-grid img{
  width:100%;
  border-radius:20px;
  object-fit:cover;
  height:450px;
}

/* STATS */

.stats{
  background:#111;
  color:white;
}

.stats-grid{
  display:grid;
  grid-template-columns:repeat(3,1fr);
  gap:30px;
  text-align:center;
}

.stat-box h4{
  font-size:3rem;
  color:#58c000;
}

/* PLANTS */

.plants-grid{
  display:grid;
  grid-template-columns:repeat(2,1fr);
  gap:40px;
}

.plant-card{
  background:white;
  border-radius:20px;
  overflow:hidden;
  box-shadow:0 5px 20px rgba(0,0,0,0.08);
}

.plant-card img{
  width:100%;
  height:280px;
  object-fit:cover;
}

.plant-content{
  padding:30px;
}

.plant-content h4{
  color:#58c000;
  margin-bottom:15px;
  font-size:1.5rem;
}

/* PROCESS */

.process-grid{
  display:grid;
  grid-template-columns:repeat(4,1fr);
  gap:25px;
  margin-top:50px;
}

.process-box{
  background:white;
  padding:35px 25px;
  border-radius:20px;
  text-align:center;
  box-shadow:0 5px 20px rgba(0,0,0,0.08);
}

.process-box h4{
  color:#58c000;
  margin-bottom:10px;
}

/* GALLERY */

.gallery{
  display:grid;
  grid-template-columns:repeat(3,1fr);
  gap:20px;
}

.gallery img{
  width:100%;
  height:280px;
  object-fit:cover;
  border-radius:15px;
}

/* CONTACT */

.contact-wrapper{
  display:grid;
  grid-template-columns:1fr 1fr;
  gap:50px;
}

form{
  background:white;
  padding:40px;
  border-radius:20px;
  box-shadow:0 5px 20px rgba(0,0,0,0.08);
}

input,
textarea{
  width:100%;
  padding:15px;
  margin-bottom:20px;
  border:none;
  background:#f1f1f1;
  border-radius:10px;
  font-family:'Poppins';
}

textarea{
  min-height:160px;
  resize:vertical;
}

button{
  border:none;
  cursor:pointer;
}

.contact-info{
  display:flex;
  flex-direction:column;
  gap:20px;
  justify-content:center;
}

.contact-box{
  background:white;
  padding:25px;
  border-radius:20px;
  box-shadow:0 5px 20px rgba(0,0,0,0.08);
}

footer{
  background:#111;
  color:white;
  text-align:center;
  padding:30px 20px;
}



.mission-grid{
  margin-top:70px;
  display:grid;
  grid-template-columns:repeat(2,1fr);
  gap:30px;
}

.mission-box{
  background:white;
  padding:35px;
  border-radius:20px;
  box-shadow:0 5px 20px rgba(0,0,0,0.08);
  transition:0.3s;
}

.mission-box:hover{
  transform:translateY(-5px);
}

.mission-box h4{
  color:#58c000;
  font-size:1.5rem;
  margin-bottom:15px;
}


select{
  width:100%;
  padding:15px;
  margin-bottom:20px;
  border:none;
  background:#f1f1f1;
  border-radius:10px;
  font-family:'Poppins';
}

/* SUGGESTION */

.suggestion-wrapper{
  display:grid;
  grid-template-columns:1fr 1fr;
  gap:50px;
}

.suggestion-info{
  display:flex;
  flex-direction:column;
  gap:20px;
  justify-content:center;
}

.suggestion-box{
  background:white;
  padding:30px;
  border-radius:20px;
  box-shadow:0 5px 20px rgba(0,0,0,0.08);
}

.suggestion-box h4{
  color:#58c000;
  margin-bottom:15px;
  font-size:1.3rem;
}

/* RESPONSIVE */

@media(max-width:900px){

  .about-grid,
  .contact-wrapper,
  .plants-grid,
  .process-grid,
  .stats-grid,
  .gallery{
    grid-template-columns:1fr;
  }

  .hero h2{
    font-size:2.5rem;
  }

  .menu{
    display:none;
  }

  .mission-grid{
  grid-template-columns:1fr;
  }

  .suggestion-wrapper{
    grid-template-columns:1fr;
  }

}
